Managed Service for MongoDB API, REST: Cluster.ListShards
Retrieves a list of shards.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/shards
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the StoreDoc cluster to list databases in. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"shards": [
{
"name": "string",
"clusterId": "string",
"isHa": "boolean"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
shards[] |
List of StoreDoc shards. |
|
nextPageToken |
string This token allows you to get the next page of results for list requests. If the number of results |
Shard
|
Field |
Description |
|
name |
string Name of the shard. |
|
clusterId |
string ID of the cluster that the shard belongs to. |
|
isHa |
boolean Indicates whether the shard topology is highly available as defined by the Yandex Cloud SLA for managed databases. |